Programming Life
相信不能相信的,完成不能完成的。矛盾,就象征进步。
posts - 151,comments - 7,trackbacks - 0

linux下安装
要支持DSO动态模块加载
安装mod_expires
cd httpd-2.2.6/modules/metadata/
/usr/local/apache/bin/apxs -c -i -a mod_expires.c

在httpd.conf中添加

ExpiresActive on
ExpiresDefault “access plus 12 month”
ExpiresByType text/html “access plus 12 months”
ExpiresByType text/css “access plus 12 months”
ExpiresByType image/gif “access plus 12 months”
ExpiresByType image/jpeg “access plus 12 months”
ExpiresByType image/jpg “access plus 12 months”
ExpiresByType image/png “access plus 12 months”
EXpiresByType application/x-shockwave-flash “access plus 12 months”
EXpiresByType application/x-javascript “access plus 12 months”
ExpiresByType video/x-flv “access plus 12 months”

windows 打开httpd.ini 找到
#LoadModule expires_module modules/mod_expires.so
取掉#号
再加上面那一段代码

重起apache,效果很明显示,apache 内存占用量下去了很多,带宽用量也少了很多~

posted on 2009-09-09 13:27 Prog 阅读(462) 评论(0)  编辑 收藏 引用 网摘 所属分类: LinuxApache

只有注册用户登录后才能发表评论。
网站导航: